JDart
=========
JDart is a concolic execution engine for JDart.
For more details about the original concept see:

Kasper Luckow, Marko Dimjasevic, Dimitra Giannakopoulou, Falk Howar,
Malte Isberner, Temesghen Kahsai, Zvonimir Rakamaric, Vishwanath Raman,
JDart: A Dynamic Symbolic Analysis Framework,
22nd International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS 2016)

The development has been picked up by Falk Howar at the TU Dortmund along with Malte Mues: https://github.com/tudo-aqua/jdart

It is designed as a concolic execution engine on top of the Java PathFinder VM (JPF). Therefore, it is executed like any JPF plug-in.

Usage
====
For running the tool, a main method is required
that might be used as driver for the concolic execution.
The `run-jdart.sh` script can be used for execution of the script.
It is taking a property as first positional argument followed by a list of folders.
All sub-files included by this folder list are considered for analysis.
The script is searching for the Main.java file within them.

Once the Main.java file has been found the project is compiled and a `_jdart.jpf` config file generated. This config file describes the analysis target and print the result on the command line.

A sample invocation for the jbmc-regression/ArithmeticException1 test case might be structured as follows:

`./run-jdart.sh property-file ../(relative path to the repository)/sv-benchmarks/java/common../(relative path to the repository)/sv-benchmarks/java/jbmc-regression/ArithmeticException1`
