#!/bin/bash
#
# unix shell script to run jpf
#

DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )

export JVM_FLAGS="-Xmx15g -ea -Djconstraints.extension.path=$DIR/jconstraints-extensions -Dbasedir=$DIR -Djava.library.path=$DIR/z3/"
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$DIR/z3/

jdk8u222-b10/bin/java $JVM_FLAGS -jar "RunJPF.jar" "$@"
